TemplateNamespacedTagDispatcher (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
[Groovy] Class TemplateNamespacedTagDispatcher

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.grails.web.taglib.NamespacedTagDispatcher
              org.codehaus.groovy.grails.web.taglib.TemplateNamespacedTagDispatcher

    @groovy.transform.CompileStatic
    class TemplateNamespacedTagDispatcher
    extends NamespacedTagDispatcher

Field Summary
`protected groovy.lang.GroovyObject` | `renderTagLib`

Fields inherited from class NamespacedTagDispatcher
application, developmentMode, lookup, namespace, type

Constructor Summary
`TemplateNamespacedTagDispatcher(java.lang.Class callingType, GrailsApplication application, TagLibraryLookup lookup)`

Method Summary
`protected java.util.Map` | `argsToAttrs(java.lang.String name, java.lang.Object args)`
`java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`

Methods inherited from class NamespacedTagDispatcher
initializeMetaClass, methodMissing

Methods inherited from class groovy.lang.GroovyObjectSupport
groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Field Detail

### renderTagLib

    protected groovy.lang.GroovyObject renderTagLib

Constructor Detail

### TemplateNamespacedTagDispatcher

    TemplateNamespacedTagDispatcher(java.lang.Class callingType, GrailsApplication application, TagLibraryLookup lookup)

Method Detail

### argsToAttrs

    protected java.util.Map argsToAttrs(java.lang.String name, java.lang.Object args)

### methodMissing

    java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

Groovy Documentation